using System;
using System.IO;
using System.Collections;
using System.Net;

namespace Sample
{
    class Test
    {

        static void Main(string[] args)
        {
            SautinSoft.PdfMetamorphosis p = new SautinSoft.PdfMetamorphosis();

            //After purchasing the license, please insert your serial number here to activate the component
            //p.Serial = "XXXXXXXXXXX";

            if (p != null)
            {
                string htmlPath = @"..\..\..\..\..\test.htm";
                string pdfPath = @"..\..\..\..\..\test.pdf";
                string htmlString = "";

                // The easiest way is using the method 'HtmlToPdfConvertFile':
                // int ret = p.HtmlToPdfConvertFile(htmlPath,pdfPath);
                // or :
                //1. Get HTML content
                htmlString = ReadFromFile(htmlPath);

                //2. Converting HTML to PDF
                //specify BaseUrl to help converter find a full path for relative images, CSS
                p.HtmlOptions.BaseUrl = Path.GetDirectoryName(Path.GetFullPath(htmlPath));
                byte[] pdf = p.HtmlToPdfConvertStringToByte(htmlString);

                if (pdf != null)
                {
                    //3. Save to PDF file
                    FileStream fs = new FileStream(pdfPath, FileMode.Create, FileAccess.Write);
                    fs.Write(pdf, 0, pdf.Length);
                    fs.Close();
                    System.Diagnostics.Process.Start(pdfPath);
                }
                else
                {               
                    System.Console.WriteLine("An error occured during converting HTML to PDF!");
                }
            }
        }
        public static string ReadFromFile(string fileName)
        {
            try
            {
                FileInfo fi = new FileInfo(fileName);
                FileStream strmRead = fi.Open(FileMode.Open);
                int len = (int)fi.Length;
                byte[] b = new byte[len];
                strmRead.Read(b, 0, len);
                strmRead.Close();
                char[] arCharRes = new char[len];
                for (int i = 0; i < len; i++)
                {
                    arCharRes[i] = (char)b[i];
                }
                return new string(arCharRes);
            }
            catch
            {                
                return "";
            }
        }
    }
}
