using System;
using System.IO;
using System.Collections;

namespace Sample
{
    class Test
    {

        static void Main(string[] args)
        {
            SautinSoft.PdfMetamorphosis p = new SautinSoft.PdfMetamorphosis();
            string rtfPath = @"..\..\..\..\..\test.rtf";
            string pdfPath = @"..\..\..\..\..\test.pdf";

            //create PDF file from RTF
            p.PageStyle.PageOrientation.Landscape();
            //Specify page numbers: {1 of N}, font: Verdana, 18
            p.PageStyle.PageNumFormat = "{fontsize=18}{fontname=Verdana}{page} of {numpages}";

            p.RtfToPdfConvertFile(rtfPath, pdfPath);

            #region split PDF file
            //Split PDF by pages: 1st, 2nd and 3rd
            p.SplitPDFFileToPDFFolder(pdfPath, Path.GetDirectoryName(pdfPath));
            #endregion

            #region merge PDF files
            //Merge only 1st and 3rd pages
            string[] pdfFiles = { @"..\..\..\..\..\test-00001.pdf", @"..\..\..\..\..\test-00003.pdf" };
            p.MergePDFFileArrayToPDFFile(pdfFiles, @"..\..\..\..\..\test_Split_and_Merge_1and3page.pdf");
            #endregion

            //Show merged PDF (it doesn't have 2nd page)
            System.Diagnostics.Process.Start(@"..\..\..\..\..\test_Split_and_Merge_1and3page.pdf");
        }
    }
}
