using System;
using System.IO;
using System.Collections;

namespace Sample
{
	class Test
	{
		
		static void Main(string[] args)
		{
			SautinSoft.PdfMetamorphosis p = new SautinSoft.PdfMetamorphosis();

            //After purchasing the license, please insert your serial number here to activate the component
			//p.Serial = "XXXXXXXXXXX";

			//specify some options
			p.PageStyle.PageOrientation.Landscape();
			//specify header in HTML format
			//p.Header.Html("<b>Sample header in HTML format</b>");

			//specify footer in RTF format
			//p.Footer.Rtf("{\b Bold footer}");

			//specify page numbers
			p.PageStyle.PageNumFormat = "Page {page} of {numpages}";

			if (p != null)
			{
				string rtfPath = @"..\..\..\..\..\test.rtf";
				string pdfPath = @"..\..\..\..\..\test.pdf";
				string rtfString = "";

			
				//1. Get RTF content from file
				ReadFromFile(rtfPath,ref rtfString);


				//2. Converting RTF to PDF
				byte[] pdf = p.RtfToPdfConvertByte(rtfString);

				if (pdf != null)
				{
					//3. Save to PDF file
					FileStream fs = new FileStream(pdfPath, FileMode.Create, FileAccess.Write);
					fs.Write(pdf, 0, pdf.Length);
					fs.Close();
					System.Diagnostics.Process.Start(pdfPath);
				}
				else
				{
					System.Console.WriteLine("An error occured during converting RTF to PDF!");
				}
			}
		}
		public static int ReadFromFile(string fileName,ref string fileStr)
		{
			try
			{
				FileInfo fi = new FileInfo(fileName);
				StreamReader strmRead = fi.OpenText();
				fileStr = strmRead.ReadToEnd();
				strmRead.Close();
				return 0;
			}
			catch 
			{
				//error open file
				System.Console.WriteLine("Error in open file");
				return 1;
			}
		}
	}
}
